Book

Updates the theme of a specified book.

This method requires the caller to be authenticated using an API key.

PUT
/public-api/v1/Book/{bookId}/Theme
cURL
curl --request PUT \
  --url '/public-api/v1/Book/{bookId}/Theme' \
  --header 'user-api-key: <api-key>' \
  --header 'Content-Type: multipart/form-data'

Autorisations

  • user-api-keystringheader

    User's API Key · apiKey

Paramètres de chemin

  • bookIdstringobligatoire

    The unique identifier of the book whose theme is to be updated.

Corps

multipart/form-data
  • Themestringobligatoire
  • ColorIndexinteger

Réponses

OK